@mixin navigator-transition-properties {
	-webkit-transition-property: opacity, -webkit-transform;
	-moz-transition-property: opacity, -moz-transform;
	-ms-transition-property: opacity, -ms-transform;
	transition-property: opacity, transform;
}

#browser,
#sitemap .filterlayout {
	background-image: url(../community/images/top-gradient.png);
	background-repeat: repeat-x;
	-webkit-transition: background-position 200ms linear;
	-moz-transition: background-position 200ms linear;
	-ms-transition: background-position 200ms linear;
	
	-webkit-transform: translateZ(0);
}

.sampleselected #browser,
.sampleselected #sitemap .filterlayout {
	background-position: 0 -6px;
}

#navigator {
	left: 50vw;
	top: 50%;
	width: 100%;
	height: 100%;
	position: absolute;
	
	@include community-transition-duration(true);
	@include navigator-transition-properties;
	
	.node {
		position: absolute;
		font-family:'HelveticaW01-RoundedBd', sans-serif;
		
		&,
		.wrapperpanel,
		.children,
		.titlelabel,
		.iconlabel,
		.content {
			@include navigator-transition-properties;
		}
		
		.content,
		.wrapperpanel {
			height: 0;
			overflow: visible;
		}
		
		.content {
			cursor: pointer;
			
			.titlelabel {
				font-size: 10%;
				font-weight: bold;
				letter-spacing: -0.062em;
				text-align: center;
				position: relative;
				
				.resizing & {
					-webkit-transition-duration: 0 !important;
					transition-duration: 0 !important;
				}
			}
			
			.iconlabel {
				font-size: 25%;
				font-family: community;
				position: absolute;
				@include transform(translateX(-50%) translateY(-50%));
			}
			
			.titlelabel,
			.iconlabel {
				white-space: nowrap;
				line-height: 1;
				
			}
			
			&.hasicon .titlelabel {
				@include transform(translateX(1.5em) translateY(-55%));
				text-align: left;
			}
		}
		
		.v-ie8 &.previous,
		.v-ie9 &.previous,
		.v-webkit &.previous,
		.still &.previous,
		&.history {
			& > .wrapperpanel > .content:before {
				content: "\e007";
				font-size: 0.02em;
				font-family: community;
				color: rgba(255,255,255,.5);
				position: absolute;
				padding: 30px 100px 0;
				left: -107px;
			}
		}
		
		&.previous {
			@include transform(none, true);
			
			& > .wrapperpanel > .children > .child > .wrapperpanel > .content {
				opacity: 0;
				
				.v-ie8 &,
				.v-ie9 &,
				.still & {
					visibility: hidden;
				}
				
				.v-ch .still & {
					display: block;
					visibility: hidden;
				}
			}
			
			& > .wrapperpanel > .content {
				&:hover:before {
					color: #fff;
				}
				
				.iconlabel{
					opacity: 0;
					color: #000;
					color: rgba(0,0,0,.25);
				}
				
				.titlelabel {
					opacity: 0;
				}
			}
		}
		
		&.selected {
			.children {
				@include transform(scale(0.6), true);
			}
		
			.child {
				.v-generated-body:not(.v-ff) & .children {
					@include transform(scale(0.2), true);
				}
				.v-ff & .children .content {
					@include transform(scale(0.2), true);
				}
				
				.content {
					@include transform(scale(0.34) translateX(-50%), true);
					
					.titlelabel {
						opacity: 1;
					}
				}
			}
			
			& > .wrapperpanel > .content {	
				.iconlabel{
					color: #000;
					color: rgba(0,0,0,.25);
				}
				
				.titlelabel {
					/* 	todo */
					opacity: 0;
				}
				
				.still & .titlelabel {
					position: fixed;
					top: -1000px !important;
				}
			}
		}
		
		&.child .children {
			opacity: 0.0;
		}
		
		&.highlighted.child > .wrapperpanel > .content {
			color: #278bac;
			color: rgba(0,0,0,0.42);
		}
	}

	& > .node.previous {
		@include transform(translateY(-0.5em), true);
	}
	.sampleselected & {
		opacity: 0;
	}
}

#navigator .node,
#navigator .node .wrapperpanel,
#navigator .node .content,
#navigator .node .children {
	transform-origin: 0 0;
	-webkit-transform-origin: 0 0;
	-moz-transform-origin: 0 0;
	-ms-transform-origin: 0 0;
	-o-transform-origin: 0 0;
	
	@include transform(translateZ(-1px));
}


body:not(.v-ie8) #navigator .node {
 	left: 0 !important;
 	top: 0 !important;
}
		
/* IE8 styles */

.v-ie8 {
	
	&.sampleselected #navigator {
		display: none;
	}
	
	#navigator {
		left: 50%;
		
		height: 1em;
		width: 1em;
		
		.node {
			.wrapperpanel,
			.children,
			.content {
				position: absolute;
				left: 0;
				top: 0;
			}
			
			.wrapperpanel,
			.children {
				height: 100%;
				width: 100%;
			}
			
			&.previous {
				height: 100%;
				width: 100%;
				top: 0 !important;
				left: 0 !important;
				
				& > .wrapperpanel > .content {
					.titlelabel,
					.iconlabel {
						display: none;
					}
				}
			}
	
			&.selected {
				width: 60%;
				height: 60%;
				top: 50% !important;
				left: 0 !important;
			
				& > .wrapperpanel > .content{
					.iconlabel{
						-ms-filter: alpha(opacity=25);
						position: relative;
						margin-top: -50%;
						margin-left: -50%;
					}
					
					.titlelabel {
						display: none;
					}
				}
							
				.child {
					.titlelabel {
						font-size: 0.02em;
					}
					
					.iconlabel {
						margin-left: -1.2em;
						font-size: 0.05em;
						margin-top: -0.2em;
					}
					
					.children {
						display: none;
					}
				}
			}
		}
		
		& > .node.previous {
			top: -50% !important;
		}
		
		& > .node.selected {
			top: 0% !important;
		}
	}
}
